import React, {Component} from 'react';
import {render} from 'react-dom';
import '../node_modules/bootstrap/dist/css/bootstrap.min.css';
import Menu from './components/menu';
import RecipeForm from './components/recipe-form';
import {QueryRenderer, graphql} from 'react-relay';
import environment from './environment';

const ITEMS_PER_PAGE = 10;

class App extends Component {
  // state = {
  //   recipes: []
  // }

  constructor() {
    super();
    this.doRate = this.doRate.bind(this);
    this.addRecipe = this.addRecipe.bind(this);
  }

  doRate(id, rating) {
    // TODO:
  }

  addRecipe(name, ingredients, steps) {
    // TODO:
  }

  render() {
    return (
      <QueryRenderer
        environment={environment}
        query={graphql`
          query appQuery($count: Int!) {
            recipes(first: $count) {
              edges {
                node {
                  id
                  name
                  ingredients {
                    name
                    amount
                    measurement
                  }
                  steps
                  rating
                }
              }
            }
          }
        `}
        variables={{
          count: ITEMS_PER_PAGE
        }}
        render={({props}) => {
          return (
            <div className="container">
              <Menu recipes={props ? props.recipes.edges : []} onRate={this.doRate}/>
              <RecipeForm onNewRecipe={this.addRecipe}/>
            </div>
          );
        }}
      />
    );
  }
}

render(
  <App/>,
  document.getElementById('app')
);
