import React from 'react';
import PropTypes from 'prop-types';
import Instructions from './instructions'

const InstructionForm = ({onNewInstruction, onClear}) => {
  let _step;
  const add = (e) => {
    e.preventDefault();
    onNewInstruction(_step.value);
    clearInputs();
  }
  const clear = (e) => {
    e.preventDefault();
    onClear();
  }
  const clearInputs = () => {
    _step.value = '';
  }
  return (
    <div className="instruction-form">
      <input className="form-control" ref={i => _step = i} type="text" placeholder="Step"/>
      <div className="mt-2">
        <button className="btn btn-secondary mr-2" onClick={add}>Add Instruction</button>
        <button className="btn btn-secondary mr-2" onClick={clear}>Clear Instruction List</button>
      </div>
    </div>
  );
};

InstructionForm.defaultProps = {
  onNewInstruction(step) {},
  onClear() {}
}

export default InstructionForm;
