import React from 'react';
import Recipe from './recipe';
import Summary from './summary';

const Menu = ({recipes=[], onRate=()=>{}}) => {
  return (
    <article>
      <header>
        <h1 className="text-white bg-dark">Delicious Recipes</h1>
      </header>
      <div className="recipes">
        {recipes.map(({node}, i) => {
          return (
            <div key={i}>
              <Recipe {...node} onRate={rating => onRate(node.id, rating)}/>
              <Summary ingredientsCount={node.ingredients.length}
                stepsCount={node.steps.length}/>
              <hr/>
            </div>
          );
        })}
      </div>
    </article>
  );
}

export default Menu;
