import React from 'react'
import IngredientsList from './ingredients-list'
import Instructions from './instructions'
import StarRating from './star-rating';

const Recipe = ({name, ingredients, steps, rating, onRate}) => {
  return (
    <section id={name.toLowerCase().replace(/\s/g, '-')}>
      <h2>{name}</h2>
      <IngredientsList list={ingredients}/>
      <Instructions title="Cooking Instructions" steps={steps}/>
      <StarRating starsSelected={rating} onRate={onRate}/>
    </section>
  )
}

export default Recipe;
